Search documentation of wx

# View Source wxFileDirPickerEvent (wx v2.4.3)

This event class is used for the events generated by `wxFilePickerCtrl` and by `wxDirPickerCtrl`.

See:

- `wxFilePickerCtrl`

- `wxDirPickerCtrl`

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxFileDirPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxFileDirPickerEventType` to subscribe to events of this type.

# Summary

## Types

wxFileDirPicker()
wxFileDirPickerEvent()
wxFileDirPickerEventType()

## Functions

getPath(This)

Retrieve the absolute path of the file/directory the user has just selected.

# Types

Link to this type

# wxFileDirPicker()

View Source

    -type wxFileDirPicker() ::
              #wxFileDirPicker{type :: wxFileDirPickerEvent:wxFileDirPickerEventType(),
                               path :: unicode:chardata()}.

Link to this type

# wxFileDirPickerEvent()

View Source

    -type wxFileDirPickerEvent() :: wx:wx_object().

Link to this type

# wxFileDirPickerEventType()

View Source

    -type wxFileDirPickerEventType() :: command_filepicker_changed | command_dirpicker_changed.

# Functions

Link to this function

# getPath(This)

View Source

    -spec getPath(This) -> unicode:charlist() when This :: wxFileDirPickerEvent().

Retrieve the absolute path of the file/directory the user has just selected.